Browse Source

added migration tests

ignazio-bovo 3 years ago
parent
commit
bad542149c
2 changed files with 16 additions and 0 deletions
  1. 11 0
      tests/network-tests/run-migration-tests.sh
  2. 5 0
      tests/network-tests/run-tests.sh

+ 11 - 0
tests/network-tests/run-migration-tests.sh

@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+SCRIPT_PATH="$(dirname "${BASH_SOURCE[0]}")"
+cd $SCRIPT_PATH
+
+# verify existence of the three new groups
+yarn joystream-cli working-groups:overview --group=operationsAlpha
+yarn joystream-cli working-groups:overview --group=operationsBeta
+yarn joystream-cli working-groups:overview --group=operationsGamma
+

+ 5 - 0
tests/network-tests/run-tests.sh

@@ -90,6 +90,11 @@ else
     src/dev-set-runtime-code.ts -- ${DATA_PATH}/runtime.compact.wasm
 
   echo "Runtime upgraded."
+
+  echo "Performing migration tests"
+  ./run-migration-tests.sh $1
+
+  echo "Done with migrations tests"
 fi
 
 # Display runtime version